Hex: BesselNodeIntegrator1D< Functor, Integrator > Class Template Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions
BesselNodeIntegrator1D< Functor, Integrator > Class Template Reference

## Public Member Functions

| BesselNodeIntegrator1D (Functor f, double k, int l)
double | result () const
bool | ok () const
std::string const & | status () const
double | epsabs () const
void | setEpsAbs (double eps)
double | epsrel () const
void | setEpsRel (double eps)
int | limit () const
void | setLimit (double n)
bool | integrate (double a, double b)

## Constructor & Destructor Documentation

## ◆ BesselNodeIntegrator1D()

template<class Functor , class Integrator >

BesselNodeIntegrator1D< Functor, Integrator >::BesselNodeIntegrator1D | ( | Functor | f,
|  | double | k,
|  | int | l
| ) |  |

inline

## Member Function Documentation

## ◆ epsabs()

template<class Functor , class Integrator >

double BesselNodeIntegrator1D< Functor, Integrator >::epsabs | ( |  | ) | const

inline

## ◆ epsrel()

template<class Functor , class Integrator >

double BesselNodeIntegrator1D< Functor, Integrator >::epsrel | ( |  | ) | const

inline

## ◆ integrate()

template<class Functor , class Integrator >

bool BesselNodeIntegrator1D< Functor, Integrator >::integrate | ( | double | a,
|  | double | b
| ) |  |

inline

## ◆ limit()

template<class Functor , class Integrator >

int BesselNodeIntegrator1D< Functor, Integrator >::limit | ( |  | ) | const

inline

## ◆ ok()

template<class Functor , class Integrator >

bool BesselNodeIntegrator1D< Functor, Integrator >::ok | ( |  | ) | const

inline

## ◆ result()

template<class Functor , class Integrator >

double BesselNodeIntegrator1D< Functor, Integrator >::result | ( |  | ) | const

inline

## ◆ setEpsAbs()

template<class Functor , class Integrator >

void BesselNodeIntegrator1D< Functor, Integrator >::setEpsAbs | ( | double | eps | ) |

inline

## ◆ setEpsRel()

template<class Functor , class Integrator >

void BesselNodeIntegrator1D< Functor, Integrator >::setEpsRel | ( | double | eps | ) |

inline

## ◆ setLimit()

template<class Functor , class Integrator >

void BesselNodeIntegrator1D< Functor, Integrator >::setLimit | ( | double | n | ) |

inline

## ◆ status()

template<class Functor , class Integrator >

std::string const& BesselNodeIntegrator1D< Functor, Integrator >::status | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- src/pwba.cpp